﻿/**Begin D:\nextcloud\会员云\pdm\PDM_UPGRADE\PDM1\MBIS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_CANCARDBILL') 
 CREATE TABLE T_VIP_CANCARDBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(80) DEFAULT ' ' NOT NULL,
FFORMID BIGINT DEFAULT 0 NOT NULL,
FBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBIZTYPE BIGINT DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FBILLSTATUS VARCHAR(1) DEFAULT ' ' NOT NULL,
FVIPID BIGINT DEFAULT 0 NOT NULL,
FCARDID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_CANCARDBILL_L') 
 CREATE TABLE T_VIP_CANCARDBILL_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(255) DEFAULT ' '
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_CANCARDBILLENTRY') 
 CREATE TABLE T_VIP_CANCARDBILLENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FPRESENTVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_CARDACCTS') 
 CREATE TABLE T_VIP_CARDACCTS (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FPRESENTVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FISSUBACCOUNT CHAR(1) DEFAULT ' ' NOT NULL,
FISRECHARGE CHAR(1) DEFAULT '1' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_CARDACCTTYPE') 
 CREATE TABLE T_VIP_CARDACCTTYPE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FISSYSSET VARCHAR(30) DEFAULT ' ' NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_CARDACCTTYPE_L') 
 CREATE TABLE T_VIP_CARDACCTTYPE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_CARDLEVEL') 
 CREATE TABLE T_VIP_CARDLEVEL (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FPRIORITY BIGINT DEFAULT 0 NOT NULL,
FISPRESET VARCHAR(30) DEFAULT ' ' NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_CARDLEVEL_L') 
 CREATE TABLE T_VIP_CARDLEVEL_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_CARDRULE_L') 
 CREATE TABLE T_VIP_CARDRULE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(80) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(255) DEFAULT ' '
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_CARDRULEENTRY') 
 CREATE TABLE T_VIP_CARDRULEENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FINITVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FPRESENTVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FISSUBACCOUNT CHAR(1) DEFAULT '0' NOT NULL,
FISRECHARGE CHAR(1) DEFAULT '1' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_CARDTYPE') 
 CREATE TABLE T_VIP_CARDTYPE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(80) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCARDMEDIA BIGINT DEFAULT 0 NOT NULL,
FCARDLEVEL BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FISVALID CHAR(1) DEFAULT ' ' NOT NULL,
FVALIDDAYS BIGINT DEFAULT 0 NOT NULL,
FSTRATEGY CHAR(1) DEFAULT '1' NOT NULL,
FCHANNEL CHAR(1) DEFAULT '1' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_CARDTYPE_L') 
 CREATE TABLE T_VIP_CARDTYPE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FCOMMENTS VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_CARDTYPEACCTS') 
 CREATE TABLE T_VIP_CARDTYPEACCTS (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FPREVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FPRESENTVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FISRECHARGE CHAR(1) DEFAULT '1' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_CHANGECARDBILL') 
 CREATE TABLE T_VIP_CHANGECARDBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(80) DEFAULT ' ' NOT NULL,
FFORMID BIGINT DEFAULT 0 NOT NULL,
FBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBIZTYPE BIGINT DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FBILLSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FVIPID BIGINT DEFAULT 0 NOT NULL,
FCARDID BIGINT DEFAULT 0 NOT NULL,
FCARDNO VARCHAR(80) DEFAULT ' ' NOT NULL,
FNEWCARDID BIGINT DEFAULT 0 NOT NULL,
FNEWCARDNO VARCHAR(80) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_CHANGECARDBILL_L') 
 CREATE TABLE T_VIP_CHANGECARDBILL_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(255) DEFAULT ' '
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_CODERULE') 
 CREATE TABLE T_VIP_CODERULE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(80) DEFAULT ' ' NOT NULL,
FSPLITSIGN VARCHAR(6) DEFAULT ' ' NOT NULL,
FUSEINCARD CHAR(1) DEFAULT ' ' NOT NULL,
FUSEINCOUPON CHAR(1) DEFAULT ' ' NOT NULL,
FISUPGRADE CHAR(1) DEFAULT ' ' NOT NULL,
FSPLITLEN INT DEFAULT 0 NOT NULL,
FEXAMPLE VARCHAR(255) DEFAULT ' ' NOT NULL,
FEXAMPLELENGTH VARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_CODERULE_L') 
 CREATE TABLE T_VIP_CODERULE_L (
FID BIGINT DEFAULT 0 NOT NULL,
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(255) DEFAULT ' '
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_CODERULEENTRY') 
 CREATE TABLE T_VIP_CODERULEENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FATTRIBUTETYPE VARCHAR(10) DEFAULT ' ' NOT NULL,
FSETTINGVALUE VARCHAR(40) DEFAULT ' ' NOT NULL,
FFORMAT VARCHAR(100) DEFAULT ' ' NOT NULL,
FLENGTH INT DEFAULT 0 NOT NULL,
FISSPLITSIGN CHAR(6) DEFAULT ' ' NOT NULL,
FSPLITSIGN CHAR(1) DEFAULT ' ' NOT NULL,
FINITIAL INT DEFAULT 0 NOT NULL,
FSTEP INT DEFAULT 0 NOT NULL,
FSKIPCHAR VARCHAR(80) DEFAULT ' ' NOT NULL,
FSERIALGENTYPE CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_CODERULEMAXSERIAL') 
 CREATE TABLE T_VIP_CODERULEMAXSERIAL (
FID BIGINT DEFAULT 0 NOT NULL,
FCODERULE BIGINT DEFAULT 0 NOT NULL,
FMAXSERIAL BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_CONSUMEBILLENTRY') 
 CREATE TABLE T_VIP_CONSUMEBILLENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FCARDID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_CONSUMEBILLENTRY1') 
 CREATE TABLE T_VIP_CONSUMEBILLENTRY1 (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FCOUPONID BIGINT DEFAULT 0 NOT NULL,
FFACEVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FDISCOUNTRATE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_CONSUMEBILLENTRY3') 
 CREATE TABLE T_VIP_CONSUMEBILLENTRY3 (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FPRESENTVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_CONSUMEBILLENTRY4') 
 CREATE TABLE T_VIP_CONSUMEBILLENTRY4 (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FCOUPONMEDIA VARCHAR(80) DEFAULT ' ' NOT NULL,
FCOUPONRULEID BIGINT DEFAULT 0 NOT NULL,
FCOUPONNO VARCHAR(80) DEFAULT ' ' NOT NULL,
FQTY INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_EXPOINTSBILL_L') 
 CREATE TABLE T_VIP_EXPOINTSBILL_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(255) DEFAULT ' '
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_EXPOINTSBILLENTRY') 
 CREATE TABLE T_VIP_EXPOINTSBILLENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FITEMID BIGINT DEFAULT 0 NOT NULL,
FQTY INT DEFAULT 0 NOT NULL,
FPOINTS DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_EXPOINTSBILLENTRY1') 
 CREATE TABLE T_VIP_EXPOINTSBILLENTRY1 (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FCOUPONMEDIA VARCHAR(80) DEFAULT ' ' NOT NULL,
FCOUPONRULEID BIGINT DEFAULT 0 NOT NULL,
FCOUPONNO VARCHAR(80) DEFAULT ' ' NOT NULL,
FQTY INT DEFAULT 0 NOT NULL,
FPOINTS DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_EXPOINTSBILLENTRY2') 
 CREATE TABLE T_VIP_EXPOINTSBILLENTRY2 (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FPOINTS DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_ISSUECARDBILL') 
 CREATE TABLE T_VIP_ISSUECARDBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(80) DEFAULT ' ' NOT NULL,
FFORMID BIGINT DEFAULT 0 NOT NULL,
FBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBIZTYPE BIGINT DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FBILLSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FBIZORID BIGINT DEFAULT 0 NOT NULL,
FSHOPID BIGINT DEFAULT 0 NOT NULL,
FCHANNELID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_ISSUECARDBILL_L') 
 CREATE TABLE T_VIP_ISSUECARDBILL_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(255) DEFAULT ' '
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_ISSUECARDBILLENTRY') 
 CREATE TABLE T_VIP_ISSUECARDBILLENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FINITVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FPRESENTVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FISSUBACCOUNT CHAR(1) DEFAULT ' ' NOT NULL,
FISRECHARGE CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_ISSUECARDBILLENTRY2') 
 CREATE TABLE T_VIP_ISSUECARDBILLENTRY2 (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSUBACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FINITVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FPRESENTVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FCTRLTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FISVALID CHAR(1) DEFAULT ' ' NOT NULL,
FVALIDDAYS INT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_LABEL') 
 CREATE TABLE T_VIP_LABEL (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(80) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FLABELGROUPID BIGINT DEFAULT 0 NOT NULL,
FISPRESET CHAR(1) DEFAULT ' ' NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_LABEL_L') 
 CREATE TABLE T_VIP_LABEL_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_LABELGROUP') 
 CREATE TABLE T_VIP_LABELGROUP (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(80) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCOLOR VARCHAR(100) DEFAULT ' ' NOT NULL,
FISPRESET CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_LABELGROUP_L') 
 CREATE TABLE T_VIP_LABELGROUP_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_RECHAMTBILL_L') 
 CREATE TABLE T_VIP_RECHAMTBILL_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(255) DEFAULT ' '
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_RECHAMTBILLENTRY') 
 CREATE TABLE T_VIP_RECHAMTBILLENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FPRESENTVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FISSUBACCOUNT CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_RECHAMTBILLENTRY3') 
 CREATE TABLE T_VIP_RECHAMTBILLENTRY3 (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FCOUPONMEDIA VARCHAR(80) DEFAULT ' ' NOT NULL,
FCOUPONRULEID BIGINT DEFAULT 0 NOT NULL,
FCOUPONNO VARCHAR(80) DEFAULT ' ' NOT NULL,
FQTY INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_TRANSFERBILL') 
 CREATE TABLE T_VIP_TRANSFERBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(80) DEFAULT ' ' NOT NULL,
FFORMID BIGINT DEFAULT 0 NOT NULL,
FBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBIZTYPE BIGINT DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FBILLSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FVIPID_OUT BIGINT DEFAULT 0 NOT NULL,
FCARDID_OUT BIGINT DEFAULT 0 NOT NULL,
FVIPID_IN BIGINT DEFAULT 0 NOT NULL,
FCARDID_IN BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_TRANSFERBILL_L') 
 CREATE TABLE T_VIP_TRANSFERBILL_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(255) DEFAULT ' '
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_VIPCARD_L') 
 CREATE TABLE T_VIP_VIPCARD_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_VIPINFO') 
 CREATE TABLE T_VIP_VIPINFO (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(80) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FGROUPID BIGINT DEFAULT 0 NOT NULL,
FPHONENUMBER VARCHAR(80) DEFAULT ' ' NOT NULL,
FBIRTHDAY DATETIME,
FSEX CHAR(1) DEFAULT ' ' NOT NULL,
FNATIONAL BIGINT DEFAULT 0 NOT NULL,
FEDUCATIONAL BIGINT DEFAULT 0 NOT NULL,
FEMAIL VARCHAR(80) DEFAULT ' ' NOT NULL,
FHEADIMAGE VARCHAR(255) DEFAULT ' ' NOT NULL,
FCOUNTRY BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_VIPINFO_U') 
 CREATE TABLE T_VIP_VIPINFO_U (
FID BIGINT DEFAULT 0 NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FVIPTYPE CHAR(1) DEFAULT '1' NOT NULL,
FREGISTERTIME DATETIME,
FREGISTERTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FBIRTHDAYTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FBIRTHDAY DATETIME,
FCARDSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_VIPINFOGROUP_L') 
 CREATE TABLE T_VIP_VIPINFOGROUP_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FFULLNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_RECHTIMESBILL_L') 
 CREATE TABLE T_VIP_RECHTIMESBILL_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(255) DEFAULT ' '
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_RECHTIMESBILLENTRY1') 
 CREATE TABLE T_VIP_RECHTIMESBILLENTRY1 (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FPRESENTVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FISSUBACCOUNT CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_RECHTIMESBILLENTRY3') 
 CREATE TABLE T_VIP_RECHTIMESBILLENTRY3 (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FCOUPONMEDIA VARCHAR(80) DEFAULT ' ' NOT NULL,
FCOUPONRULEID BIGINT DEFAULT 0 NOT NULL,
FCOUPONNO VARCHAR(80) DEFAULT ' ' NOT NULL,
FQTY INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_ADJUSTBALBILL') 
 CREATE TABLE T_VIP_ADJUSTBALBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(80) DEFAULT ' ' NOT NULL,
FFORMID BIGINT DEFAULT 0 NOT NULL,
FBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBIZTYPE BIGINT DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FBILLSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FVIPID BIGINT DEFAULT 0 NOT NULL,
FCARDID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_ADJUSTBALBILL_L') 
 CREATE TABLE T_VIP_ADJUSTBALBILL_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(255) DEFAULT ' '
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_CARDACTION_H') 
 CREATE TABLE T_VIP_CARDACTION_H (
FID BIGINT DEFAULT 0 NOT NULL,
FCARDTYPE BIGINT DEFAULT 0 NOT NULL,
FCARDLEVEL BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID INT DEFAULT 0 NOT NULL,
FCARDSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FFREEZESTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_CARDACTION_U') 
 CREATE TABLE T_VIP_CARDACTION_U (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FOPERTYPE BIGINT DEFAULT 0 NOT NULL,
FFORMID BIGINT DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FBILLID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_CODERULEMAXSERIAL_L') 
 CREATE TABLE T_VIP_CODERULEMAXSERIAL_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_CONSUMEBILL_L') 
 CREATE TABLE T_VIP_CONSUMEBILL_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(255) DEFAULT ' '
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_VIPLABEL') 
 CREATE TABLE T_VIP_VIPLABEL (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_CONSUMEBILL') 
 CREATE TABLE T_VIP_CONSUMEBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(80) DEFAULT ' ' NOT NULL,
FFORMID BIGINT DEFAULT 0 NOT NULL,
FBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBIZTYPE BIGINT DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FBILLSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FOFFSETSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FVIPID BIGINT DEFAULT 0 NOT NULL,
FCARDID BIGINT DEFAULT 0 NOT NULL,
FOPTION INT DEFAULT 1 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_EXPOINTSBILL') 
 CREATE TABLE T_VIP_EXPOINTSBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(80) DEFAULT ' ' NOT NULL,
FFORMID BIGINT DEFAULT 0 NOT NULL,
FBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBIZTYPE BIGINT DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FBILLSTATUS VARCHAR(1) DEFAULT ' ' NOT NULL,
FOFFSETSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FVIPID BIGINT DEFAULT 0 NOT NULL,
FCARDID BIGINT DEFAULT 0 NOT NULL,
FOPTION INT DEFAULT 1 NOT NULL,
FPOINTS DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FCONSUMEPOINTS DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_RECHAMTBILL') 
 CREATE TABLE T_VIP_RECHAMTBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(80) DEFAULT ' ' NOT NULL,
FFORMID BIGINT DEFAULT 0 NOT NULL,
FBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBIZTYPE BIGINT DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FBILLSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FOFFSETSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FVIPID BIGINT DEFAULT 0 NOT NULL,
FCARDID BIGINT DEFAULT 0 NOT NULL,
FVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FOPTION INT DEFAULT 1 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_RECHTIMESBILL') 
 CREATE TABLE T_VIP_RECHTIMESBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(80) DEFAULT ' ' NOT NULL,
FFORMID BIGINT DEFAULT 0 NOT NULL,
FBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBIZTYPE BIGINT DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FBILLSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FOFFSETSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FVIPID BIGINT DEFAULT 0 NOT NULL,
FCARDID BIGINT DEFAULT 0 NOT NULL,
FOPTION INT DEFAULT 1 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_TRANSFERBILLENTRY') 
 CREATE TABLE T_VIP_TRANSFERBILLENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMT_TRANS DECIMAL(23,10) DEFAULT 0 NOT NULL,
FVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FPRESENTVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FVALUE_TRANS DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FPRESENTVALUE_TRANS DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FISSUBACCOUNT CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_ADJUSTBALBILLENTRY') 
 CREATE TABLE T_VIP_ADJUSTBALBILLENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMT_ADJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FPRESENTVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FVALUE_ADJ DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FPRESENTVALUE_ADJ DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FISSUBACCOUNT CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_CARDRULE') 
 CREATE TABLE T_VIP_CARDRULE (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(40) DEFAULT ' ' NOT NULL,
FCARDTYPE BIGINT DEFAULT 0 NOT NULL,
FCARDLEVEL BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID INT DEFAULT 0 NOT NULL,
FCARDMEDIA BIGINT DEFAULT 0 NOT NULL,
FISVALID CHAR(1) DEFAULT ' ' NOT NULL,
FVALIDDAYS INT DEFAULT 0 NOT NULL,
FCARDQTY BIGINT DEFAULT 0 NOT NULL,
FMAKEDCARDQTY BIGINT DEFAULT 0 NOT NULL,
FCARDNORULE VARCHAR(36) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FCARDSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FSHOPID BIGINT DEFAULT 0 NOT NULL,
FCHANNELID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_COUPON_COUPONRULE_L') 
 CREATE TABLE T_COUPON_COUPONRULE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(255) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_COUPON_ISSUECOUPONBILL_L') 
 CREATE TABLE T_COUPON_ISSUECOUPONBILL_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(255) DEFAULT ' '
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_COUPON_RECCOUPONBILL_L') 
 CREATE TABLE T_COUPON_RECCOUPONBILL_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(255) DEFAULT ' '
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_COUPON_RECCOUPONENTRY') 
 CREATE TABLE T_COUPON_RECCOUPONENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FCOUPONID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_COUPON_USECOUPONBILL_L') 
 CREATE TABLE T_COUPON_USECOUPONBILL_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(255) DEFAULT ' '
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_COUPON_USECOUPONENTRY') 
 CREATE TABLE T_COUPON_USECOUPONENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FCOUPONID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_COUPON_RECCOUPONBILL') 
 CREATE TABLE T_COUPON_RECCOUPONBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(80) DEFAULT ' ' NOT NULL,
FFORMID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBIZTYPE BIGINT DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FBILLSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_COUPON_USECOUPONBILL') 
 CREATE TABLE T_COUPON_USECOUPONBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(80) DEFAULT ' ' NOT NULL,
FFORMID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBIZTYPE BIGINT DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FOPTION BIGINT DEFAULT 1 NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_COUPON_COUPONACTION_H') 
 CREATE TABLE T_COUPON_COUPONACTION_H (
FID BIGINT DEFAULT 0 NOT NULL,
FCOUPONTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FCOUPONMEDIA CHAR(1) DEFAULT ' ' NOT NULL,
FFACEVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDISCOUNTRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FCOUPONSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCOUPONRULEID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_COUPON_COUPONINFO_L') 
 CREATE TABLE T_COUPON_COUPONINFO_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(255) DEFAULT ' ' NOT NULL,
FCOUPONNAME VARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_COUPON_COUPONACTION_U') 
 CREATE TABLE T_COUPON_COUPONACTION_U (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FOPERTYPE BIGINT DEFAULT 0 NOT NULL,
FFORMID BIGINT DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FBILLID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_DEDUCTBILL') 
 CREATE TABLE T_VIP_DEDUCTBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(80) DEFAULT ' ' NOT NULL,
FFORMID BIGINT DEFAULT 0 NOT NULL,
FBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBIZTYPE BIGINT DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FBILLSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FVIPID BIGINT DEFAULT 0 NOT NULL,
FCARDID BIGINT DEFAULT 0 NOT NULL,
FOPTION INT DEFAULT 1 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_DEDUCTBILL_L') 
 CREATE TABLE T_VIP_DEDUCTBILL_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(255) DEFAULT ' '
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_DEDUCTBILLENTRY') 
 CREATE TABLE T_VIP_DEDUCTBILLENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMT_ADJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FPRESENTVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FVALUE_ADJ DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FPRESENTVALUE_ADJ DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FISSUBACCOUNT CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_DEDUCTBILLENTRY2') 
 CREATE TABLE T_VIP_DEDUCTBILLENTRY2 (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSUBACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMT_ADJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FPRESENTVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FVALUE_ADJ DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FPRESENTVALUE_ADJ DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FCTRLTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FISVALID CHAR(1) DEFAULT ' ' NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FCOUNTID BIGINT DEFAULT 0 NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_PRESENTBILL') 
 CREATE TABLE T_VIP_PRESENTBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(80) DEFAULT ' ' NOT NULL,
FFORMID BIGINT DEFAULT 0 NOT NULL,
FBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBIZTYPE BIGINT DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FBILLSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FVIPID BIGINT DEFAULT 0 NOT NULL,
FCARDID BIGINT DEFAULT 0 NOT NULL,
FOPTION INT DEFAULT 1 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_PRESENTBILL_L') 
 CREATE TABLE T_VIP_PRESENTBILL_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(255) DEFAULT ' '
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_PRESENTBILLENTRY') 
 CREATE TABLE T_VIP_PRESENTBILLENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FPRESENTVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FISSUBACCOUNT CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_PRESENTBILLENTRY2') 
 CREATE TABLE T_VIP_PRESENTBILLENTRY2 (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSUBACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FPRESENTVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FCTRLTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FISVALID CHAR(1) DEFAULT ' ' NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FCOUNTID BIGINT DEFAULT 0 NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_CANCARDBILLENTRY2') 
 CREATE TABLE T_VIP_CANCARDBILLENTRY2 (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSUBACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FPRESENTVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FCTRLTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FISVALID CHAR(1) DEFAULT ' ' NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FCOUNTID BIGINT DEFAULT 0 NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_RECHAMTBILLENTRY2') 
 CREATE TABLE T_VIP_RECHAMTBILLENTRY2 (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSUBACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FPRESENTVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FCTRLTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FISVALID CHAR(1) DEFAULT ' ' NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FCOUNTID BIGINT DEFAULT 0 NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_RECHTIMESBILLENTRY') 
 CREATE TABLE T_VIP_RECHTIMESBILLENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FSUBACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FCTRLTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FISVALID CHAR(1) DEFAULT ' ' NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FCOUNTID BIGINT DEFAULT 0 NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_TRANSFERBILLENTRY2') 
 CREATE TABLE T_VIP_TRANSFERBILLENTRY2 (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSUBACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMT_TRANS DECIMAL(23,10) DEFAULT 0 NOT NULL,
FVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FPRESENTVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FVALUE_TRANS DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FPRESENTVALUE_TRANS DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FCTRLTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FISVALID CHAR(1) DEFAULT ' ' NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FCOUNTID BIGINT DEFAULT 0 NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_ADJUSTBALBILLENTRY2') 
 CREATE TABLE T_VIP_ADJUSTBALBILLENTRY2 (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSUBACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMT_ADJ DECIMAL(23,10) DEFAULT 0 NOT NULL,
FVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FPRESENTVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FVALUE_ADJ DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FPRESENTVALUE_ADJ DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FCTRLTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FISVALID CHAR(1) DEFAULT ' ' NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FCOUNTID BIGINT DEFAULT 0 NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_EXPOINTSBILLENTRY3') 
 CREATE TABLE T_VIP_EXPOINTSBILLENTRY3 (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSUBACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FPOINTS DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FCTRLTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FISVALID CHAR(1) DEFAULT ' ' NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FCOUNTID BIGINT DEFAULT 0 NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_SUBCARDACCTS') 
 CREATE TABLE T_VIP_SUBCARDACCTS (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FSUBACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FPRESENTVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FCTRLTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FISVALID CHAR(1) DEFAULT ' ' NOT NULL,
FVALIDDAYS INT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_COUPON_COUPONINFO_U') 
 CREATE TABLE T_COUPON_COUPONINFO_U (
FID BIGINT DEFAULT 0 NOT NULL,
FMAKEORGID BIGINT DEFAULT 0 NOT NULL,
FMAKETIME DATETIME,
FSENDORGID BIGINT DEFAULT 0 NOT NULL,
FSENDTIME DATETIME,
FUSEORGID BIGINT DEFAULT 0 NOT NULL,
FUSETIME DATETIME,
FRECORGID BIGINT DEFAULT 0 NOT NULL,
FRECTIME DATETIME,
FSTATUS VARCHAR(1) DEFAULT 'C' NOT NULL,
FENABLE VARCHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_CARDACTION') 
 CREATE TABLE T_VIP_CARDACTION (
FID BIGINT DEFAULT 0 NOT NULL,
FVIPID BIGINT DEFAULT 0 NOT NULL,
FCARDID BIGINT DEFAULT 0 NOT NULL,
FCARDNO VARCHAR(80) DEFAULT ' ' NOT NULL,
FACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FDATE DATETIME,
FOPTION INT DEFAULT 1 NOT NULL,
FAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FPRESENTVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FBALANCEAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FBALANCEVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FBALANCEPRESENTVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FDESCRIPTION VARCHAR(255) DEFAULT ' ',
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_VIPADDRESS') 
 CREATE TABLE T_VIP_VIPADDRESS (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FADDRTYPE BIGINT DEFAULT 0 NOT NULL,
FISDEFAULT CHAR(1) DEFAULT ' ' NOT NULL,
FLINKPHONE VARCHAR(80) DEFAULT ' ' NOT NULL,
FDISTRICT BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_VIPCOMMDAY') 
 CREATE TABLE T_VIP_VIPCOMMDAY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCOMMDAYTYPE BIGINT DEFAULT 0 NOT NULL,
FCOMMDATE DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_COUPON_COUPONRULE_U') 
 CREATE TABLE T_COUPON_COUPONRULE_U (
FID BIGINT DEFAULT 0 NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_CARDTYPESUBACCTS') 
 CREATE TABLE T_VIP_CARDTYPESUBACCTS (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FSUBACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FPREVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FPRESENTVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FCTRLTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FISVALID CHAR(1) DEFAULT ' ' NOT NULL,
FVALIDDAYS INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_VIPINFOGROUP') 
 CREATE TABLE T_VIP_VIPINFOGROUP (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(80) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FLONGNUMBER VARCHAR(100) DEFAULT ' ' NOT NULL,
FLEVEL BIGINT DEFAULT 0 NOT NULL,
FISLEAF CHAR(1) DEFAULT ' ' NOT NULL,
FPARENTID BIGINT DEFAULT 0 NOT NULL,
FSTANDARD VARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_CARDACTION_D') 
 CREATE TABLE T_VIP_CARDACTION_D (
FID BIGINT DEFAULT 0 NOT NULL,
FSUBACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FSUBISVALID CHAR(1) DEFAULT ' ' NOT NULL,
FCTRLTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FSUBSTARTDATE DATETIME,
FSUBENDDATE DATETIME,
FCOUNTID BIGINT DEFAULT 0 NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_COUPON_COUPONRULE') 
 CREATE TABLE T_COUPON_COUPONRULE (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(80) DEFAULT ' ' NOT NULL,
FCOUPONMEDIA VARCHAR(1) DEFAULT ' ' NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FCOUPONTYPE BIGINT DEFAULT 0 NOT NULL,
FCARDLEVEL BIGINT DEFAULT 0 NOT NULL,
FFACEVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDISCOUNTRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FVALIDDAYS INT DEFAULT 0 NOT NULL,
FCOUPONQTY BIGINT DEFAULT 0 NOT NULL,
FMAKEDCOUPONQTY BIGINT DEFAULT 0 NOT NULL,
FCOUPONNORULE VARCHAR(36) DEFAULT ' ' NOT NULL,
FCOUPONSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_VIPCOMMDAY_L') 
 CREATE TABLE T_VIP_VIPCOMMDAY_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(255) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_VIPADDRESS_L') 
 CREATE TABLE T_VIP_VIPADDRESS_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FLINKMAN VARCHAR(80) DEFAULT ' ' NOT NULL,
FADDRESS VARCHAR(255) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(255) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_CARDRULEENTRY2') 
 CREATE TABLE T_VIP_CARDRULEENTRY2 (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FSUBACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FINITVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FPRESENTVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FCTRLTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FISVALID CHAR(1) DEFAULT ' ' NOT NULL,
FVALIDDAYS INT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FDETAILID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_VIPCARD') 
 CREATE TABLE T_VIP_VIPCARD (
FID BIGINT DEFAULT 0 NOT NULL,
FCARDNO VARCHAR(80) DEFAULT ' ' NOT NULL,
FVIPID BIGINT DEFAULT 0 NOT NULL,
FCARDTYPE BIGINT DEFAULT 0 NOT NULL,
FCARDLEVEL BIGINT DEFAULT 0 NOT NULL,
FISDEFAULT CHAR(1) DEFAULT ' ' NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FDISTRIBUTEORGID BIGINT DEFAULT 0 NOT NULL,
FACTIVEDATE DATETIME,
FCURRENCYID INT DEFAULT 0 NOT NULL,
FISVALID CHAR(1) DEFAULT ' ' NOT NULL,
FVALIDDAYS SMALLINT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FCARDSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FFREEZESTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCARDMEDIA BIGINT DEFAULT 0 NOT NULL,
FCARDRULEID BIGINT DEFAULT 0 NOT NULL,
FUSEDCARDNO VARCHAR(80) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(255) DEFAULT ' ' NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_CONSUMEBILLENTRY2') 
 CREATE TABLE T_VIP_CONSUMEBILLENTRY2 (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FCARDID BIGINT DEFAULT 0 NOT NULL,
FACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FPRESENTVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_CONSUMEBILLENTRY22') 
 CREATE TABLE T_VIP_CONSUMEBILLENTRY22 (
FSUBDETAILID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSUBACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FPRESENTVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FCOUNTID BIGINT DEFAULT 0 NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_CONSUMEBILLENTRY33') 
 CREATE TABLE T_VIP_CONSUMEBILLENTRY33 (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSUBACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FPRESENTVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FCTRLTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FISVALID CHAR(1) DEFAULT ' ' NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FCOUNTID BIGINT DEFAULT 0 NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_COUPON_ISSUECOUPONENTRY') 
 CREATE TABLE T_COUPON_ISSUECOUPONENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FCOUPONID BIGINT DEFAULT 0 NOT NULL,
FVIPID BIGINT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_COUPON_ISSUECOUPONBILL') 
 CREATE TABLE T_COUPON_ISSUECOUPONBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(80) DEFAULT ' ' NOT NULL,
FFORMID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBIZTYPE BIGINT DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FBILLSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_RECHTIMESBILLENTRY2') 
 CREATE TABLE T_VIP_RECHTIMESBILLENTRY2 (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSUBACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FPRESENTVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FCTRLTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FISVALID CHAR(1) DEFAULT ' ' NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FCOUNTID BIGINT DEFAULT 0 NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_COUPON_COUPONACTION') 
 CREATE TABLE T_COUPON_COUPONACTION (
FID BIGINT DEFAULT 0 NOT NULL,
FVIPID BIGINT DEFAULT 0 NOT NULL,
FCOUPONID BIGINT DEFAULT 0 NOT NULL,
FCOUPONNO VARCHAR(80) DEFAULT ' ' NOT NULL,
FDATE DATETIME,
FDESCRIPTION VARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_VIPINFO_L') 
 CREATE TABLE T_VIP_VIPINFO_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(255) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_COUPON_COUPONINFO') 
 CREATE TABLE T_COUPON_COUPONINFO (
FID BIGINT DEFAULT 0 NOT NULL,
FVIPID BIGINT DEFAULT 0 NOT NULL,
FCOUPONNO VARCHAR(80) DEFAULT ' ' NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FCOUPONMEDIA CHAR(1) DEFAULT ' ' NOT NULL,
FCOUPONTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FFACEVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDISCOUNTRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FCOUPONSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCOUPONRULEID BIGINT DEFAULT 0 NOT NULL,
FVALIDDAYS INT DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BASE_ACCOUNTINFO_L') 
 CREATE TABLE T_BASE_ACCOUNTINFO_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BASE_ACTIONINFO') 
 CREATE TABLE T_BASE_ACTIONINFO (
FID BIGINT DEFAULT 0 NOT NULL,
FVIPID BIGINT DEFAULT 0 NOT NULL,
FCARDID BIGINT DEFAULT 0 NOT NULL,
FACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FOPTION INT DEFAULT 1 NOT NULL,
FVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BASE_VALUEINFO') 
 CREATE TABLE T_BASE_VALUEINFO (
FID BIGINT DEFAULT 0 NOT NULL,
FVIPID BIGINT DEFAULT 0 NOT NULL,
FCARDID BIGINT DEFAULT 0 NOT NULL,
FACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BASE_VIPINFO_L') 
 CREATE TABLE T_BASE_VIPINFO_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BASE_CARDINFO') 
 CREATE TABLE T_BASE_CARDINFO (
FID BIGINT DEFAULT 0 NOT NULL,
FCARDNO VARCHAR(80) DEFAULT ' ' NOT NULL,
FENABLE VARCHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BASE_ACCOUNTINFO') 
 CREATE TABLE T_BASE_ACCOUNTINFO (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(80) DEFAULT ' ' NOT NULL,
FENABLE VARCHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BASE_VIPINFO') 
 CREATE TABLE T_BASE_VIPINFO (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(80) DEFAULT ' ' NOT NULL,
FENABLE VARCHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BASE_SHOPINFO') 
 CREATE TABLE T_BASE_SHOPINFO (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(36) DEFAULT ' ' NOT NULL,
FBUSIFORMATFID BIGINT DEFAULT 0 NOT NULL,
FBUSIBRANDFID BIGINT DEFAULT 0 NOT NULL,
FBUSIAREAFID VARCHAR(36) DEFAULT ' ' NOT NULL,
FSHOPTYPEFID VARCHAR(36) DEFAULT ' ' NOT NULL,
FBUSITYPEID VARCHAR(36) DEFAULT ' ' NOT NULL,
FLONGITUDE VARCHAR(20) DEFAULT ' ' NOT NULL,
FLATITUDE VARCHAR(20) DEFAULT ' ' NOT NULL,
FCOUNTRYAREAFID VARCHAR(36) DEFAULT ' ' NOT NULL,
FCITYFID VARCHAR(36) DEFAULT ' ' NOT NULL,
FPHONENO VARCHAR(50) DEFAULT ' ' NOT NULL,
FSHOPGRPFID BIGINT DEFAULT 0 NOT NULL,
FSHOPPICTURE VARCHAR(255) DEFAULT ' ' NOT NULL,
FSHOPLOGO VARCHAR(255) DEFAULT ' ' NOT NULL,
FCHARGEID VARCHAR(36) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BASE_SHOPINFO_L') 
 CREATE TABLE T_BASE_SHOPINFO_L (
FID BIGINT DEFAULT 0 NOT NULL,
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FADDRESS NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BASE_SHOPINFOGROUP') 
 CREATE TABLE T_BASE_SHOPINFOGROUP (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(36) DEFAULT ' ' NOT NULL,
FPARENTID BIGINT DEFAULT 0 NOT NULL,
FLEVEL INT DEFAULT 0 NOT NULL,
FLONGNUMBER VARCHAR(36) DEFAULT ' ' NOT NULL,
FISLEAF CHAR(1) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BASE_SHOPINFOGROUP_L') 
 CREATE TABLE T_BASE_SHOPINFOGROUP_L (
FID BIGINT DEFAULT 0 NOT NULL,
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FFULLNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_VEHICLEBRAND') 
 CREATE TABLE T_VIP_VEHICLEBRAND (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(80) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FLONGNUMBER VARCHAR(255) DEFAULT ' ' NOT NULL,
FLEVEL BIGINT DEFAULT 0 NOT NULL,
FISLEAF CHAR(1) DEFAULT ' ' NOT NULL,
FPARENTID BIGINT DEFAULT 0 NOT NULL,
FVEHICLEID BIGINT DEFAULT 0 NOT NULL,
FISPRESET CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_VEHICLEBRAND_L') 
 CREATE TABLE T_VIP_VEHICLEBRAND_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(255) DEFAULT ' ' NOT NULL,
FFULLNAME VARCHAR(255) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_RIGHTS') 
 CREATE TABLE T_VIP_RIGHTS (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FENABLE VARCHAR(30) DEFAULT ' ' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_RIGHTS_L') 
 CREATE TABLE T_VIP_RIGHTS_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_VIPBANKINFO') 
 CREATE TABLE T_VIP_VIPBANKINFO (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FBANKID BIGINT DEFAULT 0 NOT NULL,
FACCOUNTNO VARCHAR(80) DEFAULT ' ' NOT NULL,
FISDEFAULT CHAR(1) DEFAULT ' ' NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_VIPBANKINFO_L') 
 CREATE TABLE T_VIP_VIPBANKINFO_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(255) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_VIPMANAGER') 
 CREATE TABLE T_VIP_VIPMANAGER (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FMANAGERID BIGINT DEFAULT 0 NOT NULL,
FISPRINCIPAL CHAR(1) DEFAULT ' ' NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_VIPMANAGER_L') 
 CREATE TABLE T_VIP_VIPMANAGER_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(255) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_VIPRELATION') 
 CREATE TABLE T_VIP_VIPRELATION (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FRELATIONID BIGINT DEFAULT 0 NOT NULL,
FLINKPHONE VARCHAR(40) DEFAULT ' ' NOT NULL,
FSEX CHAR(1) DEFAULT ' ' NOT NULL,
FBIRTHDAYTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FBIRTHDAY DATETIME,
FHEADURL VARCHAR(200) DEFAULT ' ' NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_VIPRELATION_L') 
 CREATE TABLE T_VIP_VIPRELATION_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(255) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_VIPVEHICLEINFO') 
 CREATE TABLE T_VIP_VIPVEHICLEINFO (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(80) DEFAULT ' ' NOT NULL,
FVBRANDID BIGINT DEFAULT 0 NOT NULL,
FVCLASSID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_VIPVEHICLEINFO_L') 
 CREATE TABLE T_VIP_VIPVEHICLEINFO_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(255) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_VIPCERTIFICATE') 
 CREATE TABLE T_VIP_VIPCERTIFICATE (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FCERTIFICATETYPE BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(80) DEFAULT ' ' NOT NULL,
FISDEFAULT CHAR(1) DEFAULT ' ' NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FENDDATE DATETIME,
FISLONGTERM CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_VIPCERTIFICATE_L') 
 CREATE TABLE T_VIP_VIPCERTIFICATE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(255) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_CARDLEVELRIGHT') 
 CREATE TABLE T_VIP_CARDLEVELRIGHT (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_VIPINFO_C') 
 CREATE TABLE T_VIP_VIPINFO_C (
FID BIGINT DEFAULT 0 NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FRECOMMENDID BIGINT DEFAULT 0 NOT NULL,
FRELATIONID BIGINT DEFAULT 0 NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BASE_CARDINFO_L') 
 CREATE TABLE T_BASE_CARDINFO_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BASE_VALUEINFO_L') 
 CREATE TABLE T_BASE_VALUEINFO_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BASE_ACTIONINFO_L') 
 CREATE TABLE T_BASE_ACTIONINFO_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_CARDTYPESUBACCTS_B') 
 CREATE TABLE T_VIP_CARDTYPESUBACCTS_B (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FISPACKAGE CHAR(1) DEFAULT ' ' NOT NULL,
FDEDUCTTYPE CHAR(1) DEFAULT '0' NOT NULL,
FSUBACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FPRICE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FWORTH DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_CARDTYPE_B') 
 CREATE TABLE T_VIP_CARDTYPE_B (
FID BIGINT DEFAULT 0 NOT NULL,
FFORECOLOR VARCHAR(80) DEFAULT ' ' NOT NULL,
FBACKCOLOR VARCHAR(80) DEFAULT ' ' NOT NULL,
FLOGOFILE VARCHAR(255) DEFAULT ' ' NOT NULL,
FBACKGROUNDFILE VARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_CARDTYPE_S') 
 CREATE TABLE T_VIP_CARDTYPE_S (
FID BIGINT DEFAULT 0 NOT NULL,
FSETTLEORGID BIGINT DEFAULT 0 NOT NULL,
FSETTLETYPE BIGINT DEFAULT 0 NOT NULL,
FISSUINGFEE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FISDEPOSITCARD CHAR(1) DEFAULT ' ' NOT NULL,
FDEPOSIT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FISQUOTACARD CHAR(1) DEFAULT ' ' NOT NULL,
FVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FSALEPRICE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_CARDTYPE_M') 
 CREATE TABLE T_VIP_CARDTYPE_M (
FID BIGINT DEFAULT 0 NOT NULL,
FPASSWORDTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FPASSWORD VARCHAR(255) DEFAULT ' ' NOT NULL,
FISPASSWORD CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_CARDTYPEUSESCOPE') 
 CREATE TABLE T_VIP_CARDTYPEUSESCOPE (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FBIZUNITID BIGINT DEFAULT 0 NOT NULL,
FSHOPID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_SUBCARDACCTS_B') 
 CREATE TABLE T_VIP_SUBCARDACCTS_B (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FISPACKAGE CHAR(1) DEFAULT ' ' NOT NULL,
FDEDUCTTYPE CHAR(1) DEFAULT '0' NOT NULL,
FSUBACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FPRICE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FWORTH DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_VIPCARD_S') 
 CREATE TABLE T_VIP_VIPCARD_S (
FID BIGINT DEFAULT 0 NOT NULL,
FSETTLEORGID BIGINT DEFAULT 0 NOT NULL,
FSETTLETYPE BIGINT DEFAULT 0 NOT NULL,
FISSUINGFEE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FISDEPOSITCARD CHAR(1) DEFAULT '0' NOT NULL,
FDEPOSIT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FISQUOTACARD CHAR(1) DEFAULT '0' NOT NULL,
FVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FSALEPRICE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_VIPCARD_M') 
 CREATE TABLE T_VIP_VIPCARD_M (
FID BIGINT DEFAULT 0 NOT NULL,
FPASSWORDTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FPASSWORD VARCHAR(255) DEFAULT ' ' NOT NULL,
FISPASSWORD CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_VIPCARD_C') 
 CREATE TABLE T_VIP_VIPCARD_C (
FID BIGINT DEFAULT 0 NOT NULL,
FMAKEORGID BIGINT DEFAULT 0 NOT NULL,
FMAKEDATE DATETIME,
FSENDORGID BIGINT DEFAULT 0 NOT NULL,
FSENDDATE DATETIME,
FSENDCHANNELID BIGINT DEFAULT 0 NOT NULL,
FCANCELORGID BIGINT DEFAULT 0 NOT NULL,
FCANCELDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_CARDUSESCOPE') 
 CREATE TABLE T_VIP_CARDUSESCOPE (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FBIZUNITID BIGINT DEFAULT 0 NOT NULL,
FSHOPID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_CARDACCTS_RETURN') 
 CREATE TABLE T_VIP_CARDACCTS_RETURN (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FRETURNID BIGINT DEFAULT 0 NOT NULL,
FRETURNTYPE CHAR(1) DEFAULT '0' NOT NULL,
FTIMES INT DEFAULT 0 NOT NULL,
FRETURNDATE DATETIME,
FVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FPRESENTVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FSTATUS CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_CARDACCTS_PREAUTH') 
 CREATE TABLE T_VIP_CARDACCTS_PREAUTH (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPREAUTHID BIGINT DEFAULT 0 NOT NULL,
FPREAUTHDATE DATETIME,
FVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FPRESENTVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FSTATUS CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_VIPINFO_S') 
 CREATE TABLE T_VIP_VIPINFO_S (
FID BIGINT DEFAULT 0 NOT NULL,
FCHANNELID BIGINT DEFAULT 0 NOT NULL,
FSHOPID BIGINT DEFAULT 0 NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_SOURCECHANNEL') 
 CREATE TABLE T_VIP_SOURCECHANNEL (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCHANNELID BIGINT DEFAULT 0 NOT NULL,
FISSOURCE CHAR(1) DEFAULT '1' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FUSERID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_SOURCECHANNEL_L') 
 CREATE TABLE T_VIP_SOURCECHANNEL_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(255) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_CHANNEL') 
 CREATE TABLE T_VIP_CHANNEL (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(80) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FENABLE VARCHAR(1) DEFAULT ' ' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_CHANNEL_L') 
 CREATE TABLE T_VIP_CHANNEL_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_CARDUSECHANNEL') 
 CREATE TABLE T_VIP_CARDUSECHANNEL (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCHANNELID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_CARDTYPEUSECHANNEL') 
 CREATE TABLE T_VIP_CARDTYPEUSECHANNEL (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCHANNELID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_ISSUECARDBILL_C') 
 CREATE TABLE T_VIP_ISSUECARDBILL_C (
FID BIGINT DEFAULT 0 NOT NULL,
FVIPID BIGINT DEFAULT 0 NOT NULL,
FCARDID BIGINT DEFAULT 0 NOT NULL,
FCARDNO VARCHAR(80) DEFAULT ' ' NOT NULL,
FCARDTYPE BIGINT DEFAULT 0 NOT NULL,
FCARDLEVEL BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID INT DEFAULT 0 NOT NULL,
FCARDMEDIA BIGINT DEFAULT 0 NOT NULL,
FISVALID CHAR(1) DEFAULT ' ' NOT NULL,
FVALIDDAYS INT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_ISSUECARDBILL_S') 
 CREATE TABLE T_VIP_ISSUECARDBILL_S (
FID BIGINT DEFAULT 0 NOT NULL,
FSETTLETYPE BIGINT DEFAULT 0 NOT NULL,
FSETTLEORGID BIGINT DEFAULT 0 NOT NULL,
FISSUINGFEE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FISDEPOSITCARD CHAR(1) DEFAULT ' ' NOT NULL,
FDEPOSIT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FISQUOTACARD CHAR(1) DEFAULT ' ' NOT NULL,
FVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FSALEPRICE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_ISSUECARDBILLENTRY2_B') 
 CREATE TABLE T_VIP_ISSUECARDBILLENTRY2_B (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FISPACKAGE CHAR(1) DEFAULT ' ' NOT NULL,
FDEDUCTTYPE CHAR(1) DEFAULT '0' NOT NULL,
FSUBACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FPRICE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FWORTH DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_ISSUECARDBILL_P') 
 CREATE TABLE T_VIP_ISSUECARDBILL_P (
FID BIGINT DEFAULT 0 NOT NULL,
FBASECURRENCYID BIGINT DEFAULT 0 NOT NULL,
FEXRATETABLE BIGINT DEFAULT 0 NOT NULL,
FSETTLECURRENCYID BIGINT DEFAULT 0 NOT NULL,
FEXRATEDATE DATETIME,
FEXCHANGERATE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FRECEIVABLEAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FREALAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FDISCOUNTRATE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FDISCOUNTAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_ISSUECARDBILL_PAY') 
 CREATE TABLE T_VIP_ISSUECARDBILL_PAY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FPAYTYPEID BIGINT DEFAULT 0 NOT NULL,
FAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FBASEAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FISMAKEBILL CHAR(1) DEFAULT ' ' NOT NULL,
FBILLAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_ISSUECARDBILL_M') 
 CREATE TABLE T_VIP_ISSUECARDBILL_M (
FID BIGINT DEFAULT 0 NOT NULL,
FPASSWORDTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FPASSWORD VARCHAR(255) DEFAULT ' ' NOT NULL,
FISPASSWORD CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_CARDRULE_M') 
 CREATE TABLE T_VIP_CARDRULE_M (
FID BIGINT DEFAULT 0 NOT NULL,
FPASSWORDTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FPASSWORD VARCHAR(255) DEFAULT ' ' NOT NULL,
FISPASSWORD CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_CARDRULE_S') 
 CREATE TABLE T_VIP_CARDRULE_S (
FID BIGINT DEFAULT 0 NOT NULL,
FSETTLEORGID BIGINT DEFAULT 0 NOT NULL,
FSETTLETYPE BIGINT DEFAULT 0 NOT NULL,
FISSUINGFEE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FISDEPOSITCARD CHAR(1) DEFAULT ' ' NOT NULL,
FDEPOSIT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FISQUOTACARD CHAR(1) DEFAULT ' ' NOT NULL,
FVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FSALEPRICE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_CARDRULEENTRY2_B') 
 CREATE TABLE T_VIP_CARDRULEENTRY2_B (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FISPACKAGE CHAR(1) DEFAULT ' ' NOT NULL,
FDEDUCTTYPE CHAR(1) DEFAULT '0' NOT NULL,
FSUBACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FPRICE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FWORTH DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL
);



/**End D:\nextcloud\会员云\pdm\PDM_UPGRADE\PDM1\MBIS_table.sql **/
