﻿IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_BATCHCARDBILL_C') 
 CREATE TABLE T_VIP_BATCHCARDBILL_C (
FID BIGINT DEFAULT 0 NOT NULL,
FCARDRULE BIGINT DEFAULT 0 NOT NULL,
FCARDTYPE BIGINT DEFAULT 0 NOT NULL,
FCARDLEVEL BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID INT DEFAULT 0 NOT NULL,
FCARDMEDIA BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_BATCHCARDBILL_L') 
 CREATE TABLE T_VIP_BATCHCARDBILL_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(255) DEFAULT ' '
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_BATCHCARDBILL_P') 
 CREATE TABLE T_VIP_BATCHCARDBILL_P (
FID BIGINT DEFAULT 0 NOT NULL,
FBASECURRENCYID BIGINT DEFAULT 0 NOT NULL,
FEXRATETABLE BIGINT DEFAULT 0 NOT NULL,
FSETTLECURRENCYID BIGINT DEFAULT 0 NOT NULL,
FEXRATEDATE DATETIME,
FEXCHANGERATE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FRECEIVABLEAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FREALAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FDISCOUNTRATE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FDISCOUNTAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_BATCHCARDBILL_PAY') 
 CREATE TABLE T_VIP_BATCHCARDBILL_PAY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FPAYTYPEID BIGINT DEFAULT 0 NOT NULL,
FAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FBASEAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FISMAKEBILL CHAR(1) DEFAULT ' ' NOT NULL,
FBILLAMT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_BATCHCARDBILL_S') 
 CREATE TABLE T_VIP_BATCHCARDBILL_S (
FID BIGINT DEFAULT 0 NOT NULL,
FCARDQTY INT DEFAULT 0 NOT NULL,
FSUMISSUINGFEE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUMDEPOSIT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUMVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUMSALEPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_BATCHCARDBILLENTRY') 
 CREATE TABLE T_VIP_BATCHCARDBILLENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FCARDID BIGINT DEFAULT 0 NOT NULL,
FISVALID CHAR(1) DEFAULT ' ' NOT NULL,
FVALIDDAYS INT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FISSUINGFEE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FISDEPOSITCARD CHAR(1) DEFAULT ' ' NOT NULL,
FDEPOSIT DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FISQUOTACARD CHAR(1) DEFAULT ' ' NOT NULL,
FVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FSALEPRICE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FDESCRIPTION VARCHAR(255) DEFAULT ' '
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_BATCHCARDBILLENTRY1') 
 CREATE TABLE T_VIP_BATCHCARDBILLENTRY1 (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FINITVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FPRESENTVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FISSUBACCOUNT CHAR(1) DEFAULT ' ' NOT NULL,
FISRECHARGE CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_BATCHCARDBILLENTRY2') 
 CREATE TABLE T_VIP_BATCHCARDBILLENTRY2 (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSUBACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FINITVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FPRESENTVALUE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FCTRLTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FISVALID CHAR(1) DEFAULT ' ' NOT NULL,
FVALIDDAYS INT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_BATCHCARDBILLENTRY2_B') 
 CREATE TABLE T_VIP_BATCHCARDBILLENTRY2_B (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FISPACKAGE CHAR(1) DEFAULT ' ' NOT NULL,
FDEDUCTTYPE CHAR(1) DEFAULT '0' NOT NULL,
FPACKAGEID BIGINT DEFAULT 0 NOT NULL,
FPRICE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FWORTH DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_VIP_BATCHCARDBILL') 
 CREATE TABLE T_VIP_BATCHCARDBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(80) DEFAULT ' ' NOT NULL,
FFORMID BIGINT DEFAULT 0 NOT NULL,
FBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBIZTYPE BIGINT DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FBILLSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FSETTLEORGID BIGINT DEFAULT 0 NOT NULL,
FBIZORID BIGINT DEFAULT 0 NOT NULL,
FSHOPID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME
);